PHP5.6 to PHP7.2

bennos / 2018-11-06 13:57:14   

Our hosting provider will upgrade the PHP version to 7.2. At this moment we are using PHP5.6 on leen-van-tichelen.be
Will this have any influence on indexhibit running on this hosting ?

Vaska A / 2018-11-06 15:57:23   

If you are updated to a somewhat recent version of Indexhibit it shouldn't be a problem...if it works on 5.6 it will work on 7.2.

If you have any problems you can usually go back to 5.6. But, let me know if you have issues...I want to know.

Edit: I am already running Indexhibit on PHP 7.2 webhosts...without problems.

donschroeder / 2018-11-06 18:20:01   

We had trouble running 2.0.1. on PHP 7.2, but 2.1.5 works fine now.

Vaska A / 2018-11-06 19:39:54   

Yes. 2.0.1 would have problems...but upgrading shouldn't be an issue. Cool to hear it's good.

If you are running v2.0 you really need to upgrade for security issues. It won't be a problem where PHP is concerned.

bennos / 2018-11-07 14:46:19   

Thanks all for your answers...
We now use indexhibit version 2.0.1, so we need an upgrade.
Can someone explain me how to upgrade to indexhibit version 2.1.5 please ?

Vaska A / 2018-11-07 14:57:52   

There is a tutorial in the tutorials section.

bennos / 2018-11-13 07:31:52   

Everything solved !
Using now PHP7.2 after updating from indexhibit2.0.1 to indexhibit2.1.5

arandell61 / 2018-11-14 13:03:24   

How do I save a back-up of my site before I try an upgrade

waldenpond / 2018-11-15 11:54:18   

Hello, I'm running the first version of Indexhibit (not sure exactly which version or how to see it). My host is upgrading to PHP7.2. Is there any way I can upgrade the old indexhibit site to PHP7.2? (I would rather not have to redo the whole thing in Indexhibit 2.)

Henk / 2018-12-29 21:19:31   

Hi,
I'm trying the same thing, upgrading from version 2.0.1 to 2.1.5 in order to use PHP7.2 instead of PHP5.6. I made the backup through cyberduck, then reuploaded the indexstudio folder as indicated in the tutorial, but when i log in to my indexstudio there is no yellow banner with instructions to follow. Can anyone help?

sigunsdotter / 2019-02-04 08:09:16   

Hi, how do I upgrade my Indexhibit version to support PHP 7.2?

hck / 2019-04-05 05:07:58   

@ arandell: you can copy the files locally, or copy the files on the server. I prefer locally.

@ waldenpond: Redo the whole thing in Indexhibit 2. You'll have fun doing it and you might learn something. Or look up how to upgrade to version 2. I just redid mine. It made me rethink my content, which made it better.

@ Henk: go to the install.php in your browser, that will take you through the install process. Read the tutorials, read What Who Why How, read forum posts.

@sigunsdotter: Go into your webhosting end. There you'll update it. If you can't locate the place to do it, then chat with your host. :) In other words, it's your host that will need to support 7.2. so that Indexhibit can work properly.